For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Guides
    • Introduction
    • Quick Start
    • Use Cases
    • MCP Server
  • API
    • Enrich Endpoint
  • Integrations
    • Clay
    • Zapier
    • Make
    • HubSpot
    • Salesforce
    • n8n
  • Platform
    • API Keys
    • Rate Limits
    • Pricing
  • Support
    • Support
  • API Reference
    • GETGet platform stats
    • GETSearch case studies
    • POSTSemantic search
    • POSTBatch semantic search
    • GETGet case study
    • GETList companies
    • GETGet company
    • GETCompany analysis
    • GETCompany timeline
    • POSTCompare vendors
    • POSTRegister for an API key
Logocasestudies.dev
API Reference

Semantic search

POST
https://whatsapp-backend-knd2.onrender.com/v1/casestudies/semantic
POST
/v1/casestudies/semantic
$curl -X POST https://whatsapp-backend-knd2.onrender.com/v1/casestudies/semantic \
> -H "X-API-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "query": "companies that improved sales pipeline with better data enrichment"
>}'
200semanticSearch_example
1{
2 "data": [
3 {
4 "id": "8d25bb21-6fad-471d-9899-8facbe032549",
5 "title": "Remote relies on Kernel custom data to build pipeline",
6 "summary": "Remote used Kernel to add 15,000 net new accounts in one week and book 130+ extra meetings monthly.",
7 "featured_client": "Remote",
8 "industry": "hr tech",
9 "similarity": 0.4898
10 }
11 ],
12 "query": "companies that improved sales pipeline with better data enrichment"
13}
Search case studies using natural language. Uses vector similarity to find the most relevant results, even when exact keywords don't match. Combine with filters to narrow results by company or industry first, then rank by semantic relevance.
Was this page helpful?
Previous

Batch semantic search

Next
Built with

Authentication

X-API-Keystring

Your casestudy.dev API key. Get one at POST /v1/keys.

Request

This endpoint expects an object.
querystringRequired
Natural language search query
companystring or nullOptional
Filter by company slug
industrystring or nullOptional
Filter by industry
tagstring or nullOptional
limitintegerOptionalDefaults to 10
similarity_thresholddoubleOptionalDefaults to 0.3

Minimum similarity score (0-1)

Response

Ranked case study results
datalist of objects
querystring